# Product Charge Definitions **Note** - The APIs in this section are legacy APIs. Zuora recommends using the newer, faster APIs for managing products and catalogs more efficiently instead. For more information, see our latest Commerce API. Use product charge definitions to define the attributes that can determine the charge behavior, such as billing attributes, pricing attributes, taxation attributes, or accounting attributes.\n\nThe Product Charge Definition object is in the **Early Adopter** phase. We are actively soliciting feedback from a small set of early adopters before releasing it as generally available. If you are interested, please reach out to your CSM. ## Create a product charge definition - [POST /v1/product-charge-definitions](https://developer.zuora.com/v1-api-reference/api/product-charge-definitions/post_createproductchargedefinition.md): Creates a product charge definition for a charge. You can create as many product charge definitions as needed for one charge. In the request, you must specify the unique ID or number of the charge for which this charge definition is to be created. The ID or number of a product rate plan is optional. Note: This operation requires the Attribute-based Pricing feature to be enabled, which is in the Early Adopter phase. ## List product charge definitions - [GET /v1/product-charge-definitions](https://developer.zuora.com/v1-api-reference/api/product-charge-definitions/get_retrieveproductchargedefinitions.md): Retrieves basic information about the product charge definitions. Note: This operation requires the Attribute-based Pricing feature to be enabled, which is in the Early Adopter phase. ## Create product charge definitions - [POST /v1/product-charge-definitions/bulk](https://developer.zuora.com/v1-api-reference/api/product-charge-definitions/post_createproductchargedefinitionbulk.md): Bulk creates product charge definitions for a charge. You can create up to 1000 product charge definitions at a given time for a specific charge. In the request, you must specify the unique ID or number of the charge for which this charge definition is to be created. The ID or number of a product rate plan is optional. Note: This operation requires the Attribute-based Pricing feature to be enabled, which is in the Early Adopter phase. ## Update product charge definitions - [PUT /v1/product-charge-definitions/bulk](https://developer.zuora.com/v1-api-reference/api/product-charge-definitions/put_updateproductchargedefinitionbulk.md): Bulk updates multiple product charge definitions. Note: This operation requires the Attribute-based Pricing feature to be enabled, which is in the Early Adopter phase. ## Retrieve a product charge definition - [GET /v1/product-charge-definitions/{product-charge-definition-key}](https://developer.zuora.com/v1-api-reference/api/product-charge-definitions/get_retrieveproductchargedefinition.md): Retrieves basic information about a product charge definition. Note: This operation requires the Attribute-based Pricing feature to be enabled, which is in the Early Adopter phase. ## Update a product charge definition - [PUT /v1/product-charge-definitions/{product-charge-definition-key}](https://developer.zuora.com/v1-api-reference/api/product-charge-definitions/put_updateproductchargedefinition.md): Update a product charge definition. Note: This operation requires the Attribute-based Pricing feature to be enabled, which is in the Early Adopter phase. ## Delete a product charge definition - [DELETE /v1/product-charge-definitions/{product-charge-definition-key}](https://developer.zuora.com/v1-api-reference/api/product-charge-definitions/delete_productchargedefnition.md): Deletes a product charge definition. Note: This operation requires the Attribute-based Pricing feature to be enabled, which is in the Early Adopter phase.